# Record Class SyTextSelection

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.text.SyTextSelection

Record Components:
  `lowerInclusive` - The inclusive lower bound of the text selection
  `upperInclusive` - The inclusive upper bound of the text selection
  `regions` - The selection regions, for rendering purposes

public record SyTextSelection(SyTextLocationType lowerInclusive, SyTextLocationType upperInclusive, List<com.io7m.jregions.core.parameterized.areas.PAreaI<SySpaceParentRelativeType>> regions) extends Record
An immutable text selection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyTextSelection(SyTextLocationType lowerInclusive, SyTextLocationType upperInclusive, List<com.io7m.jregions.core.parameterized.areas.PAreaI<SySpaceParentRelativeType>> regions)`
  An immutable text selection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `SyTextLocationType`
  `lowerInclusive()`
  Returns the value of the `lowerInclusive` record component.
  `List<com.io7m.jregions.core.parameterized.areas.PAreaI<SySpaceParentRelativeType>>`
  `regions()`
  Returns the value of the `regions` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `SyTextLocationType`
  `upperInclusive()`
  Returns the value of the `upperInclusive` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyTextSelection

    public SyTextSelection(SyTextLocationType lowerInclusive, SyTextLocationType upperInclusive, List<com.io7m.jregions.core.parameterized.areas.PAreaI<SySpaceParentRelativeType>> regions)
    An immutable text selection.
    Parameters:
      `lowerInclusive` - The inclusive lower bound of the text selection
      `upperInclusive` - The inclusive upper bound of the text selection
      `regions` - The selection regions, for rendering purposes

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### lowerInclusive

    public SyTextLocationType lowerInclusive()
    Returns the value of the `lowerInclusive` record component.
    Returns:
      the value of the `lowerInclusive` record component

  - ### upperInclusive

    public SyTextLocationType upperInclusive()
    Returns the value of the `upperInclusive` record component.
    Returns:
      the value of the `upperInclusive` record component

  - ### regions

    public List<com.io7m.jregions.core.parameterized.areas.PAreaI<SySpaceParentRelativeType>> regions()
    Returns the value of the `regions` record component.
    Returns:
      the value of the `regions` record component